aboutsummaryrefslogtreecommitdiffstats
path: root/config
diff options
context:
space:
mode:
authorJorge Hernandez <jh1730@att.com>2018-04-06 10:14:12 -0500
committerJorge Hernandez <jh1730@att.com>2018-04-06 10:21:56 -0500
commit0f23943f0e8a09a98e919c7c747ce6ebae5464e5 (patch)
tree0de312209a6ac8b1289274c1ebf8aa4ed1fb9340 /config
parentfab98e0304ed5e7bf07404682f65f594299fb030 (diff)
Script to make an application to drools docker
Change-Id: I25cdf1bb728c381395e5531913be6f51979dfb20 Issue-ID: POLICY-735 Signed-off-by: Jorge Hernandez <jh1730@att.com>
Diffstat (limited to 'config')
-rw-r--r--config/drools/apps-install.sh124
1 files changed, 124 insertions, 0 deletions
diff --git a/config/drools/apps-install.sh b/config/drools/apps-install.sh
new file mode 100644
index 00000000..72f7a746
--- /dev/null
+++ b/config/drools/apps-install.sh
@@ -0,0 +1,124 @@
+#!/bin/bash
+#
+# ============LICENSE_START=======================================================
+# ONAP
+# ================================================================================
+# Copyright (C) 2018 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+#
+
+# #################################
+# Usage
+# #################################
+
+function usage {
+ echo
+ echo "Usage: $(basename $0) <application-name> <zipped-application-version> <download-directory>"
+ echo "Example: $(basename $0) controlloop 1.2.0 /opt/policy/config/drools"
+ echo
+}
+
+# #################################
+# snapshot url computation
+# #################################
+
+function url_snapshot {
+ if [[ $DEBUG == y ]]; then
+ echo "-- ${FUNCNAME[0]} --"
+ set -x
+ fi
+
+ APP_URL="${APP_URL}/snapshots/org/onap/policy/drools-applications/${APP_NAME}/packages/apps-${APP_NAME}/${APP_VERSION}"
+
+ local APP_METADATA_URL="${APP_URL}/maven-metadata.xml"
+ local APP_SNAPSHOT_VERSION=$(curl --silent "${APP_METADATA_URL}" | grep -Po "(?<=<value>).*(?=</value>)" | sort -V | tail -1)
+
+ if [[ -z ${APP_SNAPSHOT_VERSION} ]]; then
+ echo "ERROR: cannot compute SNAPSHOT version"
+ usage
+ exit 1
+ fi
+
+ APP_URL="${APP_URL}/apps-${APP_NAME}-${APP_SNAPSHOT_VERSION}.zip"
+}
+
+# #################################
+# release url computation
+# #################################
+
+function url_release {
+ if [[ $DEBUG == y ]]; then
+ echo "-- ${FUNCNAME[0]} --"
+ set -x
+ fi
+
+ APP_URL="${APP_URL}/releases/org/onap/policy/drools-applications/${APP_NAME}/packages/apps-${APP_NAME}/${APP_VERSION}/apps-${APP_NAME}-${APP_VERSION}.zip"
+}
+
+# #################################
+# Main
+# #################################
+
+if [[ $DEBUG == y ]]; then
+ set -x
+fi
+
+APP_NAME=$1
+if [[ -z ${APP_NAME} ]]; then
+ echo "ERROR: no APPLICATION NAME provided (ie. controlloop)"
+ usage
+ exit 1
+fi
+
+APP_VERSION=$2
+if [[ -z ${APP_VERSION} ]]; then
+ echo "ERROR: no APPLICATION VERSION provided"
+ usage
+ exit 1
+fi
+
+DOWNLOAD_DIR=$3
+if [[ -z ${DOWNLOAD_DIR} ]]; then
+ echo "ERROR: no DOWNLOAD DIRECTORY provided"
+ usage
+ exit 1
+fi
+
+if [[ ! -d ${DOWNLOAD_DIR} ]]; then
+ echo "ERROR: ${DOWNLOAD_DIR} is not a directory"
+ usage
+ exit 1
+fi
+
+APP_GROUP_ID="org.onap.policy.drools-applications.${APP_NAME}.packages"
+APP_ARTIFACT_ID="apps-${APP_NAME}"
+APP_BASE_URL="https://nexus.onap.org/content/repositories"
+
+APP_URL="${APP_BASE_URL}"
+
+if [[ ${APP_VERSION} =~ \-SNAPSHOT$ ]]; then
+ url_snapshot
+else
+ url_release
+fi
+
+wget "${APP_URL}" -O "${DOWNLOAD_DIR}"/apps-"${APP_NAME}".zip
+if [[ $? != 0 ]]; then
+ echo "ERROR: cannot download ${DOWNLOAD_DIR}/apps-${APP_NAME}.zip"
+ exit 1
+fi
+
+echo "APP ${APP_NAME} stored at ${DOWNLOAD_DIR}/apps-${APP_NAME}.zip"
+ls -l "${DOWNLOAD_DIR}"/apps-"${APP_NAME}".zip
47 348 349 350 351 352 353 354 355 356 357 358 359 360 361 362 363 364 365 366 367 368 369 370 371 372 373 374 375 376 377 378 379 380 381 382 383 384 385 386 387 388 389 390 391 392 393 394 395 396 397 398 399 400 401 402 403 404 405 406 407 408 409 410 411 412 413 414 415 416 417 418 419 420 421 422 423 424 425 426 427 428 429 430 431 432 433 434 435 436 437 438 439 440